Skip to main content

POST /profiles/{id}/refresh

POST 

profiles/:id/refresh

Trigger a refresh of profile statistics

Path Parameters

id string Required
Unique identifier of the profile

Returns

  • namestring
    Name of the profile
  • ipsarray
    List of IP addresses associated with the profile
  • ip_rangestring
    IP address range in <start>-<end> format. Example: 255.255.255.250-255.255.255.255.
  • netmaskstring
    Network mask used to define the IP address block for this profile
  • domainsarray
    List of domain names associated with the profile
  • domains_rbl_hostsarray
    List of RBL hosts used for domain reputation checks
  • ips_rbl_hostsarray
    List of RBL hosts used for IP reputation checks
  • idstring
    Unique identifier of the profile
  • statusstring
    Current processing status of the profile
    Allowed values: IN_PROGRESS, UPDATED, FAILED
  • ips_amountinteger
    Total number of IP addresses associated with the profile
  • domains_amountinteger
    Total number of domains associated with the profile
  • created_atstring
    Timestamp when the profile was created
  • updated_atstring
    Timestamp when the profile was last updated
Error Codes

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

500 Internal Server Error

Internal server error